||==========================||
||   Discuz! 版本更新日誌   ||
||==========================||


+--------------------------------------+
Discuz! 7.2 Release 2009.11.26
+--------------------------------------+
靜態化URL導致多版塊置頂不正常
個人資料頁語言包缺失
分類信息列表調整
無權限登陸缺少email選項
版塊綁定域名後去不掉
修復圖章管理撤銷問題
修正默認分類項目顯示bug
升級時非cdb_表前綴問題
默認feeds數據的錯誤
辯論帖用戶頭像重複的問題
分類信息建表字符集問題
版塊設置複製加入主題分類設置(增加)
版主用戶報告頁面IE６下不能提交刪除
附件列表中判斷媒體文件擴展名不區分大小寫（WMA/wma都可以）
升級文件分類信息問題,分類信息數據整理，兼容表的各種情況
收費附件加入可直接下載判斷
後台指刪帖減積分時各版塊積分設置優先
utf-8版中活動帖導出excel亂碼問題
解決邊欄 Warning錯誤
去掉特殊主題的帖內廣告限制

+--------------------------------------+
Discuz! 7.2 Release 2009.11.20
+--------------------------------------+
版塊權限進一步細化，增加更多字段支持，例如註冊天數、IP，支持會員名單
增加主題評價排行榜以及JS調用，方便會員調用數據
可改名文件升級提示，註冊和後台
管理員不受任何搜索限制
某些主題回帖只對發帖人、自己、管理可見
在任意版塊選擇性置頂，管理員可以選擇版塊
回帖時間設置倒序排列，帖子可以單獨設置
後台查馬甲，根據註冊ip登錄ip
搶樓貼：支持無限樓層，不允許刪帖、快速跳樓檢索，解決排序混亂
特殊版塊顯示需求
多種登錄方式（電子郵件、uid、用戶名）
分類信息加強，優化分類信息檢索
活動報名列表支持導出xls文件
評分理由是否顯示添加後台設置開關
分區頁頭廣告自定義
分區版塊支持獨立域名
編輯帖子時間按照用戶組設置
超版可以管理特殊用戶組
回收站後台展示改進
鑒定貼功能
計劃任務自動解禁禁言用戶
保留買賣帖積分記錄
上傳的附件可直接作為媒體播放
管理組前後台權限細化
可以查看其他用戶的全部主題和回復
增加附件的動態鏈接
通過註冊ip自動審核會員
帖子審核機制改進

+--------------------------------------+
Discuz! 7.1 Release 2009.10.01
+--------------------------------------+
增加提醒和論壇動態機制，讓你第一時間掌握最新信息
增加首頁論壇熱點，自動發掘論壇內的熱點話題
增加主題評價功能，會員可對主題「支持」或者「反對」，發掘優質內容
增加主題關注功能，讓會員更快的瞭解到自己想關注的主題

增加新手任務功能可引導新註冊用戶熟悉論壇功能，掌握論壇的基本使用方法，並有效防止註冊機
增加首頁增加熱門主題功能，依照新主題熱度系統自動把近幾天的熱門主題顯示在首頁
增加站長推薦功能，在帖子內容頁右下角浮動顯示站長推薦的主題或其他自定義鏈接，具有良好的廣告效果
增加用戶組發表 URL 控制，可以禁止發表，也可以發表後不解析，白名單之內的域名不受控制

增加後台任務欄，方便站長在多頁面中的設置
增加騰訊財付通接口，給站長多一個選擇
增加 Manyou 的 Discuz! 版本，給娛樂性站點提供新的發展方向

限制用戶組的最大附件數量限制
詞語過濾增強，自動判斷 URL
商品主題可通過積分購買，拓展論壇虛擬幣交易的市場
支付寶支付接口提高兼容性、改進簽約方式

全面增強的插件內核，常用頁面增加 20 多處嵌入點，安裝、卸載插件從此不再修改代碼，解放站長
後台導入導出數據的 XML 格式標準化
特殊主題可在新內核機制下自由拓展，安裝、卸載更隨意
後台表單提交簡易化，直接回車即可任意提交
後台用戶組設置、版塊設置處增加方便切換欄

道具系統界面改進，增加推薦和熱銷道具展示
帖子頁面增加使用道具快捷鏈接，方便會員快速使用道具
新增沙發終結者道具腳本，使搶沙發更具趣味性
新增禮品大禮包道具腳本，一次可獲得更多道具

用戶報告提醒及顯示方式的改進
無權限等提示性信息的人性化改進
用戶組權限更加人性化改進，讓用戶瞭解升級的優勢
用戶組升級及時給用戶發消息通知

編輯器界面更友好，突出顯示常用操作圖標
附件上傳與圖片上傳分開，突出圖片的作用，方便圖片的預覽、插入及刪除等操作
附件與圖片上傳整合到編輯器，界面更友好，操作更方便
多媒體全面支持各種主流音樂及視頻格式 並內置 Flash 播放
轉發視頻更易更強大，可自動分析優酷、土豆及 Ku6 三大主流視頻網站的視頻網址

推薦主題功能可提取帖子內附件圖片，在顯著位置展示
依據帖子的會員參與度為指標的全新主題熱度系統，完美展現帖子的真實火熱程度
推薦主題自動方式可依據主題熱度、評價指數自動推薦

修正 各種以往版本中存在的已知問題，具體細節不再一一描述

+--------------------------------------+
Discuz! 7.0.0 Release 2008.12.12
+--------------------------------------+
全新 社區 UI 設計，開創性操作引導和頁面佈局，大幅度提升會員使用體驗
全新 風格模板體系，打造個性化論壇風格更容易，論壇展現效果更突出
全新 論壇風格可視化編輯器，支持在線設計風格，可實時預覽設計效果
全新 論壇風格管理系統，風格安裝、卸載一鍵完成，支持風格效果圖
內置 16 款精心設計的炫酷風格和 7 套模板，供各種類型的站點選用，個性十足

新增 註冊、登錄、發帖等常規操作的懸窗設計，減少用戶頁面切換行為和次數，增強論壇操作的易用性
新增 註冊、登錄、發帖等常規操作的提示信息設計，管理員可設置每種操作的提示信息，並支持多條信息隨機展示
新增 註冊 - 新手任務設置，當會員註冊完畢，可以立即提醒進行某個任務，在完成任務後才能擁有正常權限
新增 發帖 - 附件批量上傳，會員可預先上傳多個附件而後再發帖，在提供便利的同時提高了網絡較差時發帖成功率
新增 發帖 - Feed隱私設置，用戶可選擇是否在個人空間中公開自己的發帖或者回帖行為
增強 發帖 - 可視化編輯器，界面更加簡潔，每個標籤按鈕都可在後台設置開關和提示信息
增強 發帖 - 論壇表情圖片，可自動記憶用戶選擇的表情分類，採用頁簽方式切換，使用更便捷

全新 投票、懸賞、辯論、活動、視頻、商品等特殊帖的展示形式，增強用戶參與和使用感受
全新 道具使用、購買，勳章申請、頒發等操作的交互流程，節省頁面跳轉的同時，增強道具、勳章的使用率
增強 TAG 標籤的展示，採用 Tag 雲的形式，利於會員更快瞭解到整個論壇的主題
增強 我的好友，重新設計該頁面的佈局，顯示好友頭像以及在線狀態，增加與好友互動的常用鏈接
改進 帖子內容的文本、段落樣式，新的樣式更有利於閱讀
改進 評分信息，展示出評分者的頭像，增強網友參與互動的榮譽感
改進 用戶權限介紹頁面，用戶自身權限與其他用戶組權限信息展示更加條理
改進 用戶個人資料修改及展示頁面，信息結構更加清晰
改進 帖子樓層佈局，對各類操作進行歸類，區塊排版更加合理，突出「回復」、「引用」鏈接，網友互動性增強

全新 論壇任務系統，進一步增強社區會員的互動行為，可利用任務增強社區的粘性、增加活躍度
內置 會員類、帖子類、紅包類、推廣類、頭像類 5 種論壇任務，輕鬆設計各種論壇任務
支持 任務衍生，每類任務可根據申請條件、完成條件、獎勵內容衍生出無數種任務
支持 自定義任務腳本，內置自定義任務的安裝、升級、卸載、配置、條件判斷、管理接口，任務拓展極為容易
支持 系列化任務，每個任務之間可以設置關聯性，形成類似 RPG 遊戲類型任務，吸引會員持續參與
支持 多種任務獎勵模式，可獎勵任意某種積分、道具或擁有高級權限的特殊組，完成任務後自動發送獎勵通知
支持 任務自動上線和下線以及週期性任務，管理員設定好以後，可安心其他管理，無需每日牽掛
支持 會員任務提醒，當會員有未完成任務時隨時提醒會員，並可隨時查看任務執行的進度情況

全新 懸窗管理模式，前台管理操作支持多重組合，高亮、精華、置頂等操作可一次完成，無需頁面切換
新增 版主管理面板 - 主題管理，可支持 8 種條件對欄目主題搜索，並對搜索結果執行批量管理操作
新增 版主管理面板 - 帖子管理，可查看、管理任意會員的主題貼、回復貼，支持多種條件進行搜索
新增 版主管理面板 - 主題回收站，版主可對回收站的主題進行搜索、查看，管理員可進行恢復和徹底刪除
新增 版主管理面板 - 審核用戶，管理員可在後台設置某個版主協助進行會員審核
增強 版主管理面板 - 各種文字編輯功能，對所有可使用 Discuz! 代碼的地方，嵌入了簡易編輯器，方便錄入

全新 論壇邊欄系統，將論壇數據外部數據調用和內部數據調用完美整合，高自由度設置、高性能數據緩衝設計
新增 數據調用模塊腳本，充分開放的數據接口，可自行設計調用模塊腳本，並可於邊欄或者其他應用程序調用
新增 自定義模塊腳本設計頁面，可自由定義設置項目，支持單行文本、多行文本、單選多選、下拉選擇
新增 自定義模塊腳本緩存模式選擇，既可以使用系統緩存功能，也可使用腳本自己的緩存機制
新增 全新設計的內置 13 個模塊腳本，功能各異，調用方便，站長可以隨意選取和組合
內置 近 30 個常用邊欄模塊，包括會員排行、主題排行、附件展示、首頁聚合等各種功能調用

全新 論壇短消息系統，將短消息由信件模式變為聊天模式，會員短消息交流更突出信息的流暢性和延續性
改進 用戶短消息的控制形式，恢復用戶組短消息相關權限的設置，方便僅擁有論壇的站點管理會員短信
新增 結合論壇新手實習期和 UCenter 當中的短消息限制策略，可大幅度減少垃圾短消息對用戶的騷擾
新增 會員積分變動提示，當積分變化時（如發帖，搜索 ...），系統會自動提示會員，令論壇操作更加生動有趣
改進 論壇警告機制，可查知用戶被警告次數，當進行警告操作和收到警告通知的時候，可以瞭解被警告情況

新增 論壇分區隱藏，當設置某論壇分區隱藏後，則屬於此分類的論壇均自動隱藏
新增 版塊是否顯示全局置頂的主題設置，可讓某些版塊不顯示全局置頂的主題，令主題列表更加簡潔
新增 論壇人性化時間方式，除顯示精確日期時間以外，用戶可以選擇使用人性化時間，如 1 分鐘前，今天 ...
新增 會員簽名顯示條件，可設置當帖子內容大於指定字數以後，作者的簽名才會顯示
新增 會員頭像顯示方式，可設置採用置靜態還是動態模式顯示，動態模式可避免對服務器產生較多錯誤日誌
新增 會員簽名頭像屏蔽功能，當對會員禁言後，除對他的帖子可以屏蔽，還可以屏蔽他的頭像、簽名

增強 論壇與 UChome 的整合功能，最大限度的支持站點信息互通和應用之間的促進
新增 UCHome 通知提示功能，在論壇會員可以接收到 UCHome的通知信息，並進行提示
新增 UCHome 內容的邊欄調用功能，可利用論壇的邊欄顯示 UCHome 中的信息
新增 UCHome 應用使用情況展示，在會員資料頁面和帖子頁面，展示該會員在 UCHome 中的最新動態
新增 外部註冊限制，設置是否允許來自 UCenter 其他應用用戶激活方式的註冊

增強 論壇交易積分設置，主題(附件)、懸賞、道具、邀請註冊，可單獨設置使用何種積分
增強 分類信息和主題分類，分類信息可以和普通主題一樣擁有主題分類，形成二級分類信息
新增 論壇自定義導航欄，用戶可自由設置前台頁面顯示的導航欄，增加自己的連接，每個連接可以支持權限定義
增強 論壇表情管理系統，支持在不刪除表情的情況下，啟用/禁用某類表情
新增 自動設置表情代碼功能，表情導入時可無需逐一設置每個表情圖片的代碼，啟用表情更方便
內置 3 套表情圖片（含 1 套騰訊授權圖片，2 套獨立設計圖片），16 個主題類型圖標，增強論壇生動性

全新 後台管理內核，每種操作均可通過搜索功能進行精確定位，讓管理員在上千項功能和設置中隨意穿梭
調整 後台功能項目佈局，使功能區域劃分更加合理，並增加「界面」功能組，方便站長日常管理
增強 後台 - 插件設計功能，插件變量配置類型增加預置項目，方便插件設計
新增 後台 - 網站第三方統計代碼設置，站長可以直接貼入代碼，啟動第三方流量統計系統
新增 後台 - 人性化時間格式設置，可全站開啟和關閉此功能
新增 後台 - UCHome 管理設置，可開啟或者關閉某些互通功能
新增 後台 - 可視化編輯器設置（含 Discuz! 代碼設計)
增強 後台 - 管理組管理功能，簡化了新建管理組的操作，可直接增減管理組，並可預設權限
增強 後台 - 會員組管理功能，在增加新會員組時，可選擇某個組為參照，用戶不必逐一設置新增組的每個權限

優化 論壇帖子查看、發佈等功能模板，進一步提升程序執行效率
新增 數據庫服務器群集支持，內置支持6個功能服務器群組，為社區發展提供持久動力
新增 數據庫服務器群集擴充接口，極易進行二次開發和功能擴充

新增 用戶登錄密碼加密傳輸設置，用戶在輸入密碼時候可以進行加密後再傳輸，防禦網絡監聽造成洩露
新增 論壇跨站腳本攻擊防禦設置(config 文件中有開關)，提供對基本的跨站腳本攻擊識別和防禦
新增 後台程序更名設計，站長可以將後台入口 admincp.php 變更為其他名字，就算管理員賬號被竊，後台依然無法進入
增強 後台安全性設計，管理員進入後台時需要輸入安全提問，使後台更加穩固

修正 各種以往版本中存在的已知問題，具體細節不再一一描述

+--------------------------------------+
Discuz! 6.1.0
+--------------------------------------+
全新 會員認證及管理內核，深入整合 UCenter 系統，與其他應用實現無縫掛接
新增 會員行為事件推送系統，供 UChome 或其他 SNS 系統進行調用
新增 標籤 TAG 推送系統，供網站其他應用程序有針對性的實時調用
新增 標籤 TAG 必填的開關，可單獨讓某些版塊必須填寫標籤或不使用標籤。標籤內容可實現自動分詞處理
全新 短消息功能與界面，使用更加便捷，短消息閱讀採用線索模式，實現消息往來的追蹤和回溯
全新 後台管理系統，著力提升功能易用性，力求使流程更加規範，佈局更加合理，整個後台更加人性化
去除 版主進入後台的權限，後台權限體系更加清晰，杜絕了管理員與版主的管理平台混用造成的安全隱患
新增 管理行為追蹤系統，根據管理員的對某個功能操作的頻度，動態調整首頁菜單順序
新增 後台自定義常用菜單功能，每個管理員均可按照自己的需求，定義常用菜單（支持本地和外部鏈接）
新增 管理菜單呼叫功能，當管理員在後台可通過按「ESC」鍵，隨時打開或關閉後台導航全圖和常用菜單
改進 數據增刪機制，新增項目或者數據時支持批量添加模式，如添加論壇，主題分類，用戶組等等
全新 前台管理模式，新增版主管理面板
採用 二次身份驗證機制，管理面板安全可靠
新增 用戶版塊權限管理，版主可限制某個用戶在版塊內的權限：看帖，發新主題，發回復，下載附件，上傳附件。
此功能將原來比較單一的「禁言」功能進行了強化，權限範圍由整個站點細化為某個版塊
增強 報告功能，版主可瀏覽本版的報告列表和進行「已處理」標注，管理帖子時可將自動更新報告狀態，避免重複管理
新增 會員警告功能，使論壇管理更富有彈性，可以避免直接使用禁止功能招致會員的反感
新增 防灌水機制安全級別設置，提高驗證碼、驗證問答的服務器兼容性
加強 驗證碼功能，改善 Flash 驗證碼的兼容性
新增 語音驗證碼功能，用戶只有根據聽到的驗證碼正確輸入後，才能進行登錄、註冊或發帖
增強 附件防盜鏈機制，通過設置附件鏈接有效期，可有效防止附件被盜鏈或附件被軟件批量下載
增強 廣告顯示模式，支持「頁面加載完成後再加載廣告」和「在頁面加載時直接輸出廣告」兩種加載模式，適應不同站點的需求
新增 Insenz 展示廣告緩存機制，有效解決了由於網絡故障或服務器繁忙造成的廣告無法加載或加載緩慢的問題，從而保障了站長的預期收益
新增 Insenz 主題帖推廣「互動帖」活動形式，更新穎的帖子創意表現形式，實現了不同社區之間的互動
增強 Insenz 專題活動，功能更加完善和成熟，並融合了帖子、投票、懸賞、活動等功能
增強 更多人性化的細節處理，比如帖子匹配版塊更準確合理，取消修改發帖帳號時間限制等等
增強 論壇勳章功能，勳章可支持管理員發放、自動領取、資格自動審核等模式
新增 勳章資格權限表達式的設置，可實現各種發放勳章的需求
新增 勳章有效期設置，過期勳章自動回收
增強 勳章發放功能，可支持單獨發送和批量發送
優化 論壇模板機制，有效降低服務器 IO 請求，提升系統負載能力
優化 論壇頭像功能，去除會員頭像的使用限制。頭像由 UCenter 接管，並內置於控制面板中，自動生成 3 種尺寸的頭像，供各種應用調用
增加 積分豁免權設置，某組用戶組可以忽略某些積分策略的設置
增加 縮略圖質量的設置，可隨意調整縮略圖的清晰度
增加 增加附件的付費記錄和附件收益記錄
全新 論壇調用功能，除兼容以往 JS 方式調用，更可進行內部調用
新增 邊欄類型調用，列表和瀏覽帖子頁面可設置邊欄，顯示欄目的優秀資源等內容

+--------------------------------------+
Discuz! 6.0.0
+--------------------------------------+
全面優化論壇顯示模板，大幅度提升頁面顯示速度，為您帶來極速瀏覽體驗
論壇頁面採用 XHTML 標準以及結構化 CSS 設計，讓風格設計更加隨心所欲
內置 6 套精心設計的炫酷風格，讓論壇更具個性風采，可符合大部分站點需求
新增 Insenz 社區營銷服務，為廣大站長提供高質量的、與社區定位相匹配的廣告和穩定的收益
新增 Insenz 社區主題推廣，獨有置頂、普通、浮動三種主題模式，定向投放，豐富社區內容，為社區發展助力
新增 Insenz 社區展示廣告，與著名媒體和知名品牌合作，緊密結合論壇原有廣告機制，推薦優秀創意廣告
新增 Insenz 社區關聯廣告，自動匹配與社區或主題相關的內容，在帖子中顯示相關的商品推薦信息
新增 Insenz 社區專題活動，與社區活動相結合在論壇建立虛擬專區，提高社區會員的參與度與活躍度
增強 Insenz 營銷管理體系，站長可自由定制審核與通知方式，根據需求決定是否接受廣告活動
改善 用戶瀏覽以及操作體驗，從細微處入手，給論壇用戶帶來無微不至的關懷，數十項頁面佈局和操作提示，讓會員輕鬆上手融入社區
增加 論壇操作快捷鍵，會員可使用左右鍵進行部分列表頁面翻頁
採用 Ajax 技術完成登錄狀態的正常和隱身模式的切換，
採用 Ajax 技術完成閱讀短消息和發送短消息
採用 Ajax 技術完成 smilies 翻頁
採用 Ajax 技術完成訂閱主題、收藏主題（論壇）、增加好友等功能
採用 Ajax 技術完成特殊主題分類的自動選取，避免頁面切換
採用 Ajax 技術完成左右分欄左側在線人數的更新
採用 Ajax 技術完成會員資料查看、特殊主題的翻頁、主題評分、帖子報告等功能
採用 Ajax 技術讓管理人員通過雙擊帖子標題或者帖子內容進行進行標題和內容的編輯
新增 標籤（Tag）功能，主動式信息分類讓論壇主題相互鏈接，提高站點 PV
新增 Tag 相關主題，在查看帖子時，採用 Ajax 技術實時讀取該 Tag 相關主題
新增 Tag 鎖定功能，可避免 Tag 濫用帶來的管理麻煩
新增 Tag 詞語過濾，採用統一的詞語過濾機制，可有效過濾非法關鍵字
新增 Tag 智能切詞，自動識別中英文空格進行 Tag 切分，避免用戶頻繁切換輸入法
新增 Tag 熱門詞語，可將熱門詞語在首頁顯示，引導用戶快速定位自己的興趣內容
新增 Tag 隨機詞語，為用戶隨機推薦詞語，同時更避免某些 Tag 被永久埋沒
新增 辯論主題功能，會員可發起辯論主題，實時顯示辯論情況
新增 辯論裁判功能，辯論發起者可指定某個會員為裁判，裁判擁有本辯論的最終裁決權
新增 自動辯手功能，會員選擇立場並發表觀點後可自動成為辯手。
新增 評價辯手功能，作為會員無論觀點如何，均可為自己心儀的辯手投上一票
新增 最佳辯手功能，辯論結束可自動評選本輪辯論的最佳辯手
新增 觀眾支持功能。會員可以只對辯論的觀點進行投票而無需發表看法（既辯論觀眾）。
新增 辯論有效限期，過期後，辯論主題將會自動進入裁決或者關閉發表功能
全新 論壇交易體系，使論壇可以迅速搭建成 C2C、B2C 電子交易平台
新增 論壇店舖功能，會員自由設定店舖的介紹信息，輕鬆開店
新增 商品櫃台功能，每個交易主題為一個櫃台，每個櫃台可發佈多個商品
新增 商品推薦功能，擁有多個商品的主題，作者可以推薦一個或者多個商品作為招牌
新增 商品展示功能，每個商品除在介紹當中可以上傳圖片資料，更可以擁有一個獨立的展示圖片
新增 商品分類功能，通過設置主題分類的功能對商品進行分類，會員可按照分類快速搜索
新增 交易誠信體系，無論是賣家還買家，在完成商品交易後，可以進行誠信度評價，後台擁有作弊防護設置
新增 信用等級體系，後台可以設置每個誠信等級的條件和顯示的圖片，在瀏覽商品時，可直接查看誠信等級
新增 流程追蹤體系，買賣雙方可實時瞭解自己每一筆交易的狀態和進行到的流程。所有操作均可通過短消息自動通知
新增 個性化分類信息主題發佈系統，徹底打破論壇傳統的（主題+內容）模式。
新增 用戶可自由定制信息項目和內容，高自由度的分類信息選項定制和規則判斷
新增 分類信息發佈時使用 Ajax 技術，可自由切換項目，避免用戶頻繁請求頁面
新增 分類信息模板功能，減少站長的重複勞動，輕鬆建立分類信息
新增 分類信息顯示模板，可自行設計個性化的顯示頁面
新增 簡潔的展現方式，卓越的搜索功能，讓用戶更快的找到需要的信息
新增 版主推薦主題功能，版主可將論壇比較重要的主題或者優秀的主題推薦出來，引導會員進行瀏覽
新增 自動推薦主題功能，可以根據發帖時間、最後回復時間、查看數、回複數、精華等規則自動形成推薦主題
新增 論壇單貼屏蔽功能，版主可臨時將某個違規帖屏蔽掉，便於發生紛爭時作為依據
新增 論壇版塊權限公式，管理員可自由定制進入版塊的條件，如要求積分達到 100，威望達到 10 等等
新增 論壇版塊 SEO 設置，各版塊可分別設置關鍵詞，更利於搜索引擎收錄
新增 Google 搜索框設置，管理員可後台定制和開啟
新增 百度 SiteMap，管理員可後台定制和開啟
增強 搜索引擎支持，優化 Robot 文件以及程序，減低搜索引擎對無效頁面的訪問
增強 論壇靜態地址兼容性，避免個別服務器 Rewrite規則無法啟用
增強 論壇靜態地址定制選項，可自由選擇 5 大功能模塊是否啟用靜態地址，提升服務器執行效率
新增 論壇首頁快速登錄窗口，後台可根據站點需要，自由關閉
新增 列表頁面默認排序方式以及論壇首頁顯示子論壇的個性設置
新增 列表頁面主題分類的快捷鏈接，直接瀏覽給類主題
新增 查看主題頁面的用戶信息自由定制，後台可設置看貼時顯示作者的哪些信息
新增 只看該作者功能，可以瀏覽某個用戶在該主題當中發表的所有內容
新增 圖片附件的顯示特效，附件詳細信息顯示進行重新佈局
新增 帖子位置的名稱設置，默認顯示為 #1, #2 等等，您可以自由定制為「樓主」，「沙發」等流行詞彙
新增 邀請註冊功能，提升論壇註冊會員的質量
新增 四種註冊模式設計，即：關閉註冊、開放普通註冊、開放邀請註冊、開放普通註冊和邀請註冊
新增 可分別設置用戶組是否允許發放邀請碼，是否需要買入邀請碼以及邀請碼的有效期等等
新增 被邀請人註冊成功後，可自動獲得獎勵積分
新增 被邀請人註冊成功後，可自動對邀請人獎勵積分
新增 被邀請人註冊成功後，可自動成為邀請人的好友
新增 被邀請人註冊成功後，可自動進入某個特殊用戶組或者普通用戶組
新增 活動主題的類別設置，後台可隨意添加，便於會員查找自己喜歡的活動
新增 論壇昨日、最高發帖數統計，讓管理員隨時瞭解論壇的發帖狀況
增強 論壇驗證碼功能，有效避免灌水機騷擾
新增 中文驗證碼支持，Flash 驗證碼(需 PHP ming 擴展庫支持)
新增 驗證碼顯示效果定制，背景、干擾圖形、字體、傾斜度、顏色、大小、陰影均可自由調控
新增 註冊程序自由更名功能，增加灌水機通過自動掃瞄技術在論壇進行註冊難度
新增 發佈視頻功能
採用 第三方提供的存儲空間和帶寬，降低論壇視頻存儲和播放的成本
採用 智能傳送和播放網絡選擇，可自動適應網通和電信線路，保障瀏覽和上傳到最近的服務器
採用 Flash 組件實現上傳視頻功能，輕鬆上傳大文件，避免由於會員線路、服務器帶寬等原因造成失敗操作
採用 Flash 組件實現實時錄製功能，用戶可以隨時錄製並且上傳，不需要額外安裝其它軟件
整合 論壇原有資源，用戶可以通過「我的視頻」查看和管理自己上傳的視頻
增強 我的功能，增加「我的投票」列表
增強 用戶控制面板功能，將短消息、個人資料設置、我的、積分交易等整合到一個平台下
增強 個人資料設置，用戶可以根據需要進行論壇登錄、基本資料、個性化資料、論壇選項的分別設置
增強 MiniSpace 功能，新增個人店舖和視頻功能
增強 JS 調用功能，更多細節設置，滿足站長的多樣化需求
增強 郵件相關設置，全部轉入後台進行管理，無需反覆修改文件
增強 支付寶支付接口，可兼容於支付寶最新接口模式
增強 圖片附件水印功能，強力支持中文或者英文的文本水印，管理員可在後台隨時調整該水印文字
增強 圖片處理函數，支持 ImageMagick 擴展庫，可大幅度減少 GD 庫操作圖片時候的壓力，適合大型圖片論壇改善性能
增強 主題瀏覽的執行效率，全新的算法可極速瀏覽擁有萬帖回復的主題
增強 IP 地址查詢功能。採用新算法和精簡地址庫，並可兼容其他格式 IP 庫。精簡後，IP 數據達到 5.4 萬條。
增強 CC 防禦體系，調整 CC 防禦策略，減少在防禦功能開啟後對正常用戶瀏覽的干擾
增強 文件上傳體系，採用黑白名單機制雙重機制，徹底杜絕非法文件給論壇帶來的潛在威脅
增強 數據庫結構校驗功能，提升自我修復能力
增加 論壇基本設置校驗功能，可對論壇的基本設置項目進行校驗，避免由於升級不完整或者誤刪除造成某寫功能無法使用
增強 MySQL 出錯處理機制，使用修復機制，減少程序中斷機率。
新增 表情分類功能
新增 表情批量導入導出功能
增強 表情批量添加功能 可以設置不同的規則批量設置表情代碼
修正 與 SupeSite 衝突的 url-rewrite 規則
修正 搜索條件為積分無效的 bug
修正 左右分欄的無子版板顯示上級版塊的 bug

+--------------------------------------+
Discuz! 5.5.0
+--------------------------------------+

新增 MiniSpace 功能，充分關注會員的成長歷程和個性展示
完全利用論壇原有資源，會員不必更多付出，即可擁有個性展示頁面
與 X-Space 完美結合，可順暢實現 MiniSpace 與 X-Space 自然過渡
完全獨立的風格體系，不會對論壇產生干擾，風格定制僅需一個css文件和數個圖片即可
模塊化功能結構，後台可以自由控制和開啟。優異的功能拓展讓 MiniSpace 充滿無限活力
新增 論壇道具系統，讓論壇管理更具有民主性和趣味性，激發會員參與社區建設和社區管理的積極性
完全開放的道具體系結構，豐富的設計接口，數行代碼即可開發出一套新道具
新增 論壇自定義幫助系統，讓論壇幫助更具有論壇個性，站長可以自由添加、修改幫助內容，幫助會員盡快融入社區
新增 自定義跳轉功能，後台可以設置哪些成功操作無需返回信息而直接跳轉到結果頁
新增 多處人性化操作，採用 Ajax 技術無需頁面轉換，直接提示操作結果
增強 WAP 系統，新增WAP註冊功能，在手機設備兼容性能上大為提高，重新設計的操作界面更符合 WAP 標準和手機用戶的使用習慣
增強 搜索功能增加特殊主題搜索
新增 控制面板首頁顯示最近五條積分記錄
新增 簽名及個人介紹的預覽
新增 短消息草稿箱功能，可將消息暫時存儲而不發送
新增 短消息快捷查看功能，採用 AJAX 技術直接讓用戶瀏覽短消息內容，並保留了原來的閱讀方式（右鍵打開）
新增 批量主題下沉功能，原主題提升功能也增加了批量處理
新增 可撤消評分功能，讓評分更人性化
增強 限時管理操作改為按小時計算時限
新增 遠程附件上傳、管理功能
支持各種主流 FTP 服務器和 SSL 連接
FTP 賬號信息採用加密方式存放，更安全
防宕機系統可以保障在ftp服務器出現異常的時候，用戶依然可以正常上傳附件
遠程附件設置檢測，可避免由於設置的不當，導致附件上傳失敗
遠程附件「是否隱藏遠程附件真實路徑」選擇，讓站長可以在防盜鏈和降低服務器流量壓力下進行平衡
新增 論壇附件買賣，每個附件可獨立設置價格，用戶買賣的附件的收益可以隨時查閱。帖子主題買賣和附件買賣可以任意組合使用，更加靈活便捷
新增 論壇附件回復可見功能（附件隱藏），只有用戶回復主題後才可下載或瀏覽附件
新增 圖片附件支持自動生成縮略圖（後台有開關），可配合各種首頁系統方便實時調用
新增 後台本地附件和訪問路徑設置，更加方便修改，讓盜鏈附件可以隨時失效
新增 附件混排，圖文混排功能，自由設置圖文格式與附件的排版關係。貼內附件詳細信息自動掩藏或顯示，表格化附件列表讓附件信息更易瀏覽
新增 附件水印 PNG 格式圖片支持
完善 多附件上傳機制，可實現任意增減附件，實時預覽圖片，有效降低論壇資源佔用和垃圾附件的產生
首創 GIF 動畫驗證碼支持，提高灌水機識別難度
新增 自定義驗證碼寬高設置以及自定義背景
新增 驗證碼由4位數字，升級為字母＋數字混排。內置3種字體、8種背景可實現任何組合。可支持任意多種字體組合
新增 登錄驗證碼智能顯示，僅當會員多次錄入密碼錯誤的時候才會要求填寫驗證碼
新增 論壇驗證問答，論壇可自定義問題和回答，可將其應用於註冊、發帖、回帖、短消息、CC防禦，有效抑制灌水機
完善 發帖時驗證碼和驗證問答提交，減少提交次數
新增 論壇版塊可編輯帖子開關
新增 特殊論壇版塊設置，可設置某個版塊只允許發佈某種特殊主題
新增 活動主題貼申請人聯繫方式
新增 活動發起者可以刪除活動參與者
新增 發帖時自動保存帖子內容（兼容 Firefox 和 IE）
新增 引用回復時自動添加原帖子跳轉
新增 free 和 hide 標籤在編輯器中點擊使用
新增 Smilies 顯示採用 Ajax 分頁技術，且後台可設置每列顯示個數
增強 Smilies 添加功能，支持自動檢索圖片目錄，添加 Smilies 只需要上傳圖片和點選即可
增強 多媒體標籤代碼，優化代碼，支持同一貼子中的媒體播放時互不影響
新增Discuz! 代碼增加 {RANDOM} 代表隨機字串，用於唯一性標識
新增 對 BT 及電驢協議的 URL 和中文域名 URL 的自動解析
新增 左右分欄功能，顯示風格與論壇自動融合，擴展方便。支持後台開關和會員開關
新增 論壇版塊可設置為分類模式，只顯示子版塊
新增 論壇插件菜單支持 JS 下拉菜單模式，並支持顯示順序的設置
新增 主題顯示時，可實時帖子大小字體的不同模式實時切換
增加「縮略顯示在線列表」
增強 論壇橫排顯示模式下，增加內容的擴充
增強 貼內代碼增加展開收縮按鈕，可隨意展開收縮
增強 投票主題顯示投票的會員時，支持貼內自動分頁顯示
新增 論壇策略方案系統
可將用戶對欄目、用戶組、積分的設置保存為一個策略方案，這些方案可直接應用於相關設置
Discuz! 論壇系統內置10個適合不同類型論壇的方案，可以實現任意擴充
各種策略方案均提供下載和導入的功能
Discuz! 用戶之間可以進行策略方案的交流
新增 公告類型－公共短消息，可強制提醒用戶閱讀某些重要內容。公共短消息無論一次發給多少用戶，均為一條數據存儲，不會佔用過多資源
新增 分組公告功能。管理員可以針對某個組的會員，或者僅針對遊客發佈公告。其他組的會員不會看到此公告內容
新增 自定義新註冊用戶歡迎信息，改變一成不變的死板，讓歡迎信息更具人性化
新增 首頁友情鏈接顯示開關，可暫時關閉某個友情鏈接的顯示
新增 後台群發短消息時，可以通過「,」分割符來輸入名單進行發送
新增 後台批量主題管理支持批量 打開/關閉 主題
新增 後台批量刪帖增加內容最小長度的篩選
新增 批量刪帖增加限定符 {x} 的搜索方式
新增 主題審核、回覆審核忽略功能，支持按照論壇進行審核，且支持審核理由和發送短消息通知
新增 批量導入、導出過濾詞語功能，支持多種模式的詞語導入模式
新增 模板複製以及恢復為默認的功能，可快速修復修改混亂的論壇模板
新增 論壇權限設置橫向縱向全選功能，讓權限設置更快捷
新增 附件管理、主題管理、帖子管理、過濾詞語管理等多處分頁顯示
增強 用戶組添加功能，可選擇權限參照組，且支持一次添加多個用戶組
增強 刪除論壇欄目功能，避免當該欄目主題數較多而導致刪除失敗
新增 備份數據庫可選擇 Zip 壓縮存儲，有效降低空間佔用，上傳下載更方便
新增 恢復備份支持Zip格式自動解壓縮，用戶只需要將壓縮包上傳即可自動恢復
增強 簡化數據備份設置選擇，自動選擇最佳備份模式
增強 實現任意 MySQL 版本下的數據導入導出。讓站長擺脫由於站點轉移、服務器升級造成論壇亂碼的困擾
增強 後台數據庫升級工具，支持讀取用戶的升級方案文件，且可以自動識別升級語句中的數據表前綴標誌
增加 JS 調用支持對特殊主題、主題分類的調用
增加 JS 調用增加是否顯示「主題分類前綴」設置
增強 大幅度提升 JS 調用的速度，增加Rewrite 的支持和模板使用
增強 ShopEx 接口，增加 ShopEx 同步功能
增強 支付寶充值接口，使用支付寶最新的安全接口，支持 UTF-8
新增 積分兌入兌出雙向開關限制，站長可設置某個積分只能從某個渠道獲得。
新增 積分策略嚮導功能，結合論壇策略方案系統，站長可快速完成複雜的積分設置和佈署
新增 積分清零功能（後台－積分獎懲），讓站長可以重新勾劃論壇策略
完善 積分交易界面，讓使用更方便
新增 積分兌換JS預算，方便兌換者使用
新增 X-Space 個人空間熱點導讀
新增 X-Space 圈子功能支持
新增 SupeSite 收錄模式批量設置
優化 Supesite 相關設置的緩存機制
新增 SupeSite 多數據庫支持
新增 SupeSite 新接口模式〔測試階段〕
廣告位全新佈局 提升論壇盈利空間
新增 帖間廣告和分類間廣告
新增 廣告投放位置和廣告顯示位置選項，可在帖子內容的上方、下方和右方任意選擇投放位置，可在帖子任意樓層選擇顯示位置
增加 註冊頁、跳轉頁及 Archiver 等廣告投放範圍
增加 兩個尾部橫幅廣告位
優化 廣告緩存機制
加強論壇安全防禦措施，讓站長更加安心
新增 後台危險操作屏閉設置，管理員可以將平時很少用且比較危險的操作關閉
新增 隨機 COOKIE 前綴設置，可避免同域下 COOKIE 衝突
新增 隨機數據表前綴設置，且屏閉數據表前綴錯誤信息
新增 論壇文件校驗工具，可即時發現論壇程序被非法篡改
新增 數據庫校驗工具，可用於校對當前數據表結構和表准結構之間的差異
新增 是否允許管理員使用動態IP進入後台進行管理
增強 防禦CC攻擊功能，採用獨立防禦和組合防禦模式降低攻擊壓力，屏閉非法訪問
大幅度進行程序優化，提升整體效率 20% 以上
首創 智能化請求處理系統，讓站點服務器更有效的工作，綜合降低服務器負載壓力
優化 成熟的主題緩存技術，讓論壇從容應對大型應用，數據緩存可支持多台服務器同步
優化 調整論壇緩存機制，緩存數據更小，處理速度更快
新增 論壇首頁緩存技術，進一步為服務器減壓。緩存技術可以兼容目前所有的首頁類插件，讓插件也可獲得緩存效果。
對以往問題的修正
修正 編輯器顏色與viewthread顏色一致
修正 懸賞價格溢出問題
修正 編輯器在 firefox 瀏覽器下的一系列焦點問題
修正 js 字數檢查統計錯誤
修正 計劃任務編輯時分鐘顯示不正常
修正 編輯用戶名（查詢條件為新用戶名）的 bug
修正 後台備份數據時，SQL文件超出指定大小的問題
修正 多媒體標籤跨平台跨瀏覽器兼容性問題
修正 免費空間惡意加廣告導致的後台失效問題
修正 積分策略下限判斷不正確的BUG
修正 批量刪帖checkbox無效的BUG
修正 郵件發送SMTP服務器的兼容性
修正 可打印版本的一些問題

+--------------------------------------+
Discuz! 5.0.0
+--------------------------------------+
融入更多 Web 2.0 元素，新增多樣化論壇主題功能，最多可擴充至 256 種主題類型
全新的投票主題系統，可以自由定制投票項目、投票期限
可強制用戶投票後才能查看結果，管理員可以查看會員投票詳細情況
新增 My（我的 ...）功能模塊，更加關注論壇用戶的使用體驗和成長經歷，用戶可以隨時查閱發表的主題、回復、交易、活動、收藏 ...
新增所見即所得編輯器，可兼容大部分瀏覽器，支持自定義Discuz! 代碼快捷輸入按鈕
新增 js 菜單支持，為用戶自定制 js 菜單留有接口
新增自定義論壇首頁功能，站長可以自由設計論壇 Portal 系統
深度整合 X-Space 個人門戶系統
利用論壇會員系統，實現統一註冊、登錄、退出
支持 X-Space 和論壇相互推送資源，日誌、商品、文件、書籤可導入指定欄目
相互推送的資源可應用該論壇的積分策略，充分調動會員使用熱情
論壇首頁支持 X-Space 熱門 blog 列表，由計劃任務每日自動更新，系統負擔降至最低
無論在論壇瀏覽帖子還是在 X-Space 瀏覽 blog 文章，均可自由切換瀏覽模式
內置社區門戶系統 SupeSite 核心支持，利用現有論壇資源，迅速構建整站系統
後台可任意開關 SupeSite 功能，調整 SupeSite 相關參數
允許定制 SupeSite 對於論壇每個欄目的資訊收集收錄模式，可實現自動、手工、智能條件多種收錄方式。
可設置管理組對於資訊收錄的權限，便於論壇增設內容采編管理成員
支持采編管理成員在前台執行收錄、強制回收（取消收錄）功能
支持後台批量主題管理操作，方便統一回收主題和推送主題
支持會員發起「活動主題」功能，可以在指定欄目發起虛擬或者現實活動，擴展社區會員交流渠道
新增用戶組以及欄目權限設定，允許管理員詳細設置每個用戶組和欄目的活動權限
發起活動內置項目可以根據需要進行填寫，支持欄目過濾查看
活動主題可以設置活動地點、時間、人數、報名截止時間、費用支付方式等
活動時間可以採用精確設置或者模糊設置，或由參與人員商議而定
會員申請參加活動，可以對活動發起人進行留言，同時選擇活動費用支付方式
活動發起人可以對申請者進行審批，待審批會員名單採用保密方式存儲，普通會員無權查看
會員可以按照活動地區搜索，選擇適合自己的時間、地點進行參與。
新增發佈「懸賞主題」功能，用戶可以在論壇完成設置提問、支付賞金、參與回答、確定最佳答案、領取賞金等一系列操作
管理員可詳細設每個欄目、每個用戶組發佈懸賞主題的權限，每個用戶組可自由設置懸賞金額的範圍
懸賞功能採取先行扣除用戶積分的模式，可有效避免用戶獲得答案卻不支付的問題
懸賞功能支持論壇原有積分稅收機制，由懸賞者承擔稅收費用
懸賞者可根據其他用戶回答狀況選擇設置最佳答案，同時將賞金獎勵給答案作者
會員可隨時查閱自己的懸賞統計，查找自己發佈和參與的懸賞主題
新增支付寶合作身份設置，提升論壇交易安全性
新的論壇交易流程，買賣雙方可以在論壇完成整個交易
支持論壇設置交易手續費（佣金），可根據不同會員組，設置交易優惠幅度以及交易金額範圍
論壇交易 PM 提醒短信，讓買賣雙方更及時瞭解交易進程
賣方可隨時監控自己商品的銷售及庫存情況，查詢在論壇進行的每項交易，可以依據訂單查找有購買意向的用戶
買賣雙方可通過「我的交易」功能可隨時監控自己的每筆交易的狀態
管理員可隨時監控論壇全部交易情況，可以通過設置積分策略（交易成功積分）建立論壇交易誠信體系
論壇交易積分可以用於佣金的扣除以及商品價格的優惠，讓買賣雙方可以在論壇享受到交易的便捷和實惠
新增論壇快速部署功能，管理員僅需要設置站點的性能、功能等需求，便可根據最優化原則，迅速將論壇所有設置配置完畢
積分策略增加交易成功、參與投票積分，可用於建立更多會員激勵機制
論壇欄目設置增加精華、上傳附件、下載附件自定義策略，讓積分設置更加靈活
新增在帖子中顯示最近評分結果
新增精確顯示帖子作者在線狀態，滿足部分論壇的特殊需求
新增帖子附件更新功能，作者可以在保留原有附件編號（aid）、下載次數的情況下更新附件內容，避免重新上傳附件時丟失會員下載情況或者下載連接失效
新增會員（在線/隱身）狀態即時切換
新增會員收藏夾及訂閱列表容量限制
新增會員個性化帖子顯示設置，會員可以根據需要選擇是否瀏覽會員頭像、簽名、帖子中的圖片
新增會員註冊模式選擇，管理員可以在後台設置會員註冊時使用簡潔模式還是完整模式
新增會員註冊支持 Ajax 技術，可以對會員提交的註冊資料即時判斷
新增會員註冊 email 限制功能，可以指定註冊用戶僅能夠使用某些郵箱進行註冊
新增會員註冊用戶名最少字符限制
新增會員瀏覽短消息列表進行未讀短消息過濾功能
新增會員權限查詢功能（含遊客）
新增會員每小時發帖數量限制
新增多論壇搜索支持，可以選擇一次搜索一個、多個或者全部論壇
新增搜索精華帖和置頂帖支持，便於會員搜索到更有意義的主題
新增搜索結果可直接進行管理功能（僅管理員和超級版主）
新增 ICP 認證設置，方便論壇站長
新增根據關鍵字批量刪除短消息功能
新增附件下載時間段設置，可以指定會員僅能在某個時間段下載
新增 .pdf 和 .torrent 類型附件的識別
新增論壇公告支持 URL 連接，方便管理員發佈各種形式公告
新增首頁是否顯示在線遊客設置
新增在線列表的人數設置，在線人數較多的站點可以通過減少首頁現實的在線人數，提高首頁效率
新增主題分類顯示模式設置，可以分別設置某個主題分類採用平板顯示或者下拉列表顯示，提高論壇列表頁面使用效率
新增論壇版面橫排功能，可以設置某個分類或者某個論壇的子論壇使用簡潔版面排版，論壇首頁支持常規分類與橫排分類的混合顯示
新增會員生日列表功能（需開啟會員列表）
新增首頁最大顯示會員生日數量設置，可避免同一天生日的會員過多，引起首頁瀏覽速度降低
新增快速發貼、回復、短消息中顯示表情符號（Smilies）
論壇原 Blog 功能修改為論壇文集，文集模式下支持顯示評論中的附件
新增論壇帖子複製功能，便於版主管理優秀主題
新增管理操作(提升，分割,合併) PM 通知相關會員功能
管理員可以查看被刪除和禁言用戶發表的帖子
後台日誌管理動作採用中文顯示
數據庫備份增加 16進制代碼備份格式選擇，可以有效避免備份中的中文沖碼問題產生
新增手動清理收藏夾和日誌數據，避免論壇垃圾數據佔用資源和空間
更嚴格的後台權限級別審核，論壇可根據需要增設論壇創始人，有效保護論壇超級管理員帳號
增加主題審核後續管理操作，方便主題審核後進一步管理
後台管理界面佈局調整，對功能進行重新分組整合，提供最常用功能鏈接
簡化禁止用戶、論壇主題分類等多項管理操作，令論壇管理更加便捷
後台日誌管理動作採用中文顯示
優化計劃任務，避免論壇並發人數過大，任務重複執行。
增強審核帖子功能，支持有相應權限的管理人員在審核時，可以對文章進行編輯
增強驗證碼隨機效果，支持用戶自定義數字圖片，支持實時更新驗證碼圖片（點擊圖片可自動更新）
增強短消息發送機制，避免沒有 PM 權限的會員發送短消息
增強會員訪問權限設置，論壇顯示順序與前台顯示順序相同
增強會員控制面板安全型，用戶修改Email需要填寫原密碼
原置頂I/II/III支持用戶自定義名稱（可通過修改語言包實現），默認為本版置頂/分類置頂/全局置頂
優化搜索引擎支持，調整論壇網頁 title 顯示順序，提高搜索引擎收錄幾率
優化網頁 meta 和 keyword 標籤，增加主題關鍵詞顯示（需開啟 qihoo 搜索功能）
優化論壇 css 設置，可支持使用 css文件緩存，提高瀏覽速度
優化論壇網頁輸出代碼，主要頁面可支持 W3C 認證
修正系統負載控制對於 WIN32 系統環境下的判斷
修正詞語過濾的替換字符包含特殊字符時，導致帖子無法正常發表問題
修正刪除帖子或附件不減對應積分的問題
修正簽名高度產生空白的問題
修正買賣貼下載附件和無瀏覽權限可以下載附件的問題
修正操作失敗時，後退網頁無法返回正確的驗證碼問題
修正論壇本地頭像選擇問題
修正可以主題移動到需要審核的欄目的問題
修正主題刪除時，部分數據表統遺留系統垃圾的問題
修正當用戶所在的組被刪除時，程序反覆請求刷新cache，導致該用戶無法進入論壇問題
修正非法用戶上傳擴展名為空的附件問題
修正語言包中部分文字以及拼寫問題
修正 MySQL 錯誤報告設置 $dbreport 無效問題
其他更多增強系統安全性、容錯性及穩定性的修正不一一列出

+--------------------------------------+
Discuz! 4.1.0
+--------------------------------------+

新增 Cron(計劃任務) 機制，並提供自定義計劃任務接口
新增 Hook(插件鉤子) 機制，最大限度減少插件對原程序的修改
新增 qihoo 搜索功能，與論壇搜索、查閱主題功能無縫連接
新增自定義數據庫備份功能，可以對備份的數據表任意組合，更可以備份各種插件自行添加的數據表
新增商業用戶可以設置在論壇頁腳顯示授權鏈接，明示商業版授權身份
新增論壇推廣和宣傳功能，可對積極推廣論壇的會員進行統計、獎勵
新增管理工作統計，管理員可以查閱管理人員各月管理操作統計，為版主考核提供依據
新增匿名發帖功能，依據用戶組設置，部分會員可以在特定的版塊發匿名帖
新增限時管理功能，置頂、精華、打開、關閉主題可設置操作時限，減少版主工作強度
新增URL靜態化選項，可將常見URL翻譯為靜態形式(偽html)，使論壇更容讓搜索引擎收錄
新增後台清理無效移動標記的功能
新增生日統計系統與Email祝福系統
新增附件點擊數延遲更新功能
新增論壇圖片附件水印JPG質量參數可調
新增後台論壇版塊設置快捷管理鏈接，並支持欄目設置複製功能，可以快速部署所有欄目
新增批量增減用戶擴展積分功能，支持發送積分增減通知，從而實現對用戶獎懲
新增限制用戶60秒內最大搜索次數，避免頻繁搜索造成服務器壓力加重
增強帖子編輯功能，可直接在貼子中任意位置引用附件
增強論壇短消息功能，可以搜索短消息，並下載全部短消息
增強論壇通知功能，可多條件任意組合搜索會員，分批發送
增強今日發帖和本月在線時間功能，計算更準確，系統負擔更低
增強主題買賣功能，增加[free][/free]標籤支持，用以顯示主題中的免費信息
增強插件接口，支持key=variable的對應關係，同時模塊在添加後允許被修改
增強編輯用戶擴展積分功能，可以實時計算用戶總積分，並給出用戶組升級、降級提示。
優化公告的處理方式，提高公告系統效率
優化部分顯示模版，提高顯示效率
優化論壇交易功能，提升交易內容解析效率
優化過期廣告處理，過期後自動變為失效，並進行保留
優化評分功能，增加帖子評分理由字符長度，定為40個字符
優化 mysql 模塊，提高對Mysql各版本的兼容性，完美支持 Mysql 5.0，新增數據庫字符集的設置
修正同一個帳號多個客戶端登錄後，系統統計該帳號的在線時間出錯
修正論壇主題移動功能，禁止移動到原版塊
修正禁止IP操作對個別用戶無法立即生效問題
修正非閉合 bbcode 在帖子引用時造成對後面的文字影響
修正被禁言會員帖子內容屏蔽問題
修正禁言會員被版主或者超級斑竹解禁後，丟失用戶組信息問題
修正通行證接口程序超級鏈接問題
修正論壇 Archiver 顯示鏈接問題
修正後台搜索用戶列表頁面跳轉問題
修正後台版主「版塊規則」菜單顯示問題
其他更多增強系統安全性、容錯性及穩定性的修正不一一列出

+--------------------------------------+
Discuz! 4.0.0
+--------------------------------------+
完全支持 PHP5
第四代Discuz! 數據存儲結構與預處理算法，可有效避免表鎖,實現比上一版本高20%的負載能力
新增整合的論壇 Blog 系統，最大限度的實現資源多層次利用並可設定哪些用戶有權使用本功能
新增完整的多附件功能，同一帖子可上傳和管理多個附件
新增主題和回復人工審核功能，新發帖子須經版主審核後才顯示（適用於政府及監管力度較大的論壇）
新增定時打開、關閉論壇發貼的功能（適用於政府及監管力度較大的論壇）
新增回收站功能，被刪主題將轉入回收站並由管理員審核後刪除或恢復，同時可設定哪些論壇開啟回收站
新增自定義添加管理組功能，可自由添加諸如「實習版主」等特殊管理組，並分別設定權限，可細化到任何一項後台功能的權限設定
新增用戶組有效期限定，通過該限定，用戶在到期時將自動變為指定的原用戶組
新增分區版主功能，同時論壇支持可選的版主權限繼承功能
新增用戶在線時間統計功能，並可杜絕作弊
新增用戶頁面訪問量(Pageviews)統計功能，可統計每個用戶訪問的頁面數
新增適合各種服務器環境使用的驗證碼功能，可在多項功能和頁面中打開驗證碼功能
新增主題分類功能，支持分類瀏覽、批量移動、加前綴，可在全論壇共享分類，讓主題分類成為除了「論壇」以外更獨特的一條線索
增加廣告管理系統，可實現表格自動排布、分版及隨機展現
新增 WAP 功能，可實現登錄、看帖、發帖、回帖、收發短消息等功能
新增時間段功能，可設置不同時間段禁止發帖、搜索、瀏覽等
獨創論壇內容的 RSS Feed 功能，實現內容訂閱服務，並可依據訂閱用戶權限，智能判斷相關權限
徹底革命的積分體系
支持 8 種自定義積分，可分別設定其名稱單位、啟用與否、是否在帖子中顯示等。
可通過個性化積分公式，以 8 種積分、在線時間、用戶 Pageviews、發帖數、精華帖數等項目加權計算總積分，用以衡量用戶級別和權限
可設定積分相互兌換比率，比率不為 0 的積分可以由用戶自行相互兌換，可設定每次兌換的交易損失率
可設定允許通過支付寶以在線支付的方式購買積分，並積分將實時到賬並自動通知購買者
可設定其中一項積分為可交易積分，該積分可在論壇購買帖子，或轉讓給其他用戶
可設定用戶發帖、發短消息、上傳下載附件、搜索等操作時，各項積分的增減策略
可設置不同用戶組用戶可進行評分的積分項目及個項目的最小最大分值、24 小時最大評分數
可設置不同論壇的發帖與回帖積分增減策略
去掉老版本的刪除積分設定，發帖得多少積分，刪除就扣多少積分
用戶組新增公共用戶組功能，用戶可自由加入，或將其設置為主用戶組，新增積分購買用戶組權限和頭銜的功能，可設定日價格，並具備自動過期處理
新增買賣帖子功能，具有交易記錄及版主強制退費功能
具有完備的帖子買賣、積分交易、兌換、轉賬記錄
可設定轉賬和兌換所保留的最小積分餘額
新增多重用戶組功能，用戶可以具有一個主用戶組和多個輔用戶組，能夠兼具多個用戶組之間的瀏覽權限
增加社區支付寶交易功能
全面重寫的 JS 調用功能，提供帖子、用戶、附件及論壇等資料的調用，後台提供代碼嚮導，只需輸入相關參數即可自動生成調用代碼
全面增強的統計功能：新增分月和分日的發帖量統計，靜態統計全面應用緩存
新增所有重要管理操作和評分記錄操作理由並向作者發送短消息的功能
新增全局置頂功能：置頂 III 可在全論壇置頂，置頂 II 可在當前分類置頂
可設定重要管理操作和評分是否強制輸入理由和發送通知短消息，並可設置理由選項內容
新增內容干擾碼功能，可以防止特定的有版權的內容被輕易複製
新增Discuz! Archiver，以靜態頁面形式顯示論壇內容，以便被搜索引擎抓取（需要服務器支持）
新增主題修復功能，可修復錯誤的統計和超長標題引起的亂碼問題
新增用戶組上傳配額限制，可限制每天用戶所上傳附件的字節數
新增論壇附件類型限制，除了用戶組設定外，分論壇可以設置本論壇允許上傳的附件類型
新增前台主題按點擊數，回複數，發帖時間等排序瀏覽的功能
新增手工審核新註冊用戶的功能，用戶可多次提交，管理員可批量通過或否決
新增勳章功能，可自行設定勳章數量、圖片及內容
批量刪除新增對帖子篩選的完整支持，可根據條件搜索並人工篩選匹配記錄
不良詞語列表允許根據不同詞語選擇過濾、禁止發佈包含相關內容的文字
新增以用戶 ID 登錄論壇的功能
首頁分類列表中不同分類可選擇展開或隱藏，並具有記憶功能
首頁論壇列表中可選擇在上級論壇中顯示子論壇名字和鏈接
新增論壇列表頁面顯示本版規則（Rules）的功能
新增用戶帳號合併功能，包括帳號、帖子、短消息等各項內容
新增作者發佈多少分鐘後不能再編輯帖子的選項
新增包含完整參數的後台訪問記錄
管理人員禁止用戶時，可以設定禁止的有效期，並新增禁止用戶記錄
新增前台主題瀏覽時的批量管理功能
用戶組中將發帖和回復權限分開，可分別設定
新增批量設置高亮功能
增加了基本的搜索引擎優化（SEO）功能
新增外表格背景的圖片支持
新增評分上下限的分別設定
新增最近訪問過的論壇版塊快捷跳轉功能
新增對帖子內容文字大小的單獨設定功能
新增針對用戶組的帖子 html 代碼功能，有權限用戶可選擇是否在帖子中解析 html
新增主題和用戶列表最大翻閱頁數限制，有效避免信息抓取和惡意訪問
新增重新設計的人性化列表分頁導航條
新增 [attach]x[/attach] 標籤，可以將附件顯示與帖子的任意位置
新增重新設計的更為方便和人性化的無權提示信息
新增用戶選擇用戶時差，時間格式,日期格式的默認設置功能
星星可以類似 QQ 的月亮太陽方式現實，並可自定義星星升級的閥值
新增短消息導出功能，方便用戶備份整理短消息
附件增加說明功能，可對每個附件內容作以介紹，方便同一帖子中多附件的區分
新增暱稱功能，並可設定哪些用戶組可以使用本功能
增加論壇訪問列表功能，除了IP 禁止以外，可只允許特定 IP 地址訪問論壇，適用於高校或企事業單位的內部論壇
增加後台訪問列表功能，可只允許特定 IP 地址訪問論壇系統設置，提高安全性
特殊 IP 註冊配額限制，可防止特定 IP 段訪問者惡意註冊
新增是否允許重複對一個帖子評分的選項
增加管理員後台 Notes 功能
新增對論壇上下級別歸屬問題的修正程序（在編輯論壇時即可自動完成）
新增管理團隊功能，可統計版主及管理員離開時間及近一個月的發帖數量（在統計功能中）
新增帖子自動鎖定功能，可設定發佈或最後回復後多長時間，系統自動關閉主題，避免普通用戶回復
用戶欄目定制增加「不可更改」屬性，用戶一經填寫即不可更改，可用於類似真實姓名、身份證號等信息
新增分論壇點擊後進入指定網頁或 URL 的功能
新增不同論壇可以設定允許上傳不同類別附件的功能
增加 Skin Selecter 功能，多風格論壇可在頁腳自動顯示風格下拉菜單
主題列表公告置頂與普通主題的分隔顯示
新增刪除多少天以前的帖子不扣分的選項
發帖時 Smilies 超過六行自動縮略顯示並支持彈出窗口點擊
新增論壇系統設置面板（後台）的在線用戶列表功能
可設置簽名最大高度，避免超長簽名給版面帶來的破壞
新增用戶編輯帖子的時間限制，在一定時間後作者將無法對帖子進行編輯或刪除
統一全部論壇 Cookies，使得在同一域下同一庫中的多個論壇不需設定 Cookie 路徑也可無衝突的使用
對主題的管理操作均記錄在案，並直接在主題頁面中顯示，無需再與記錄進行比對
數據恢復工具（restore.php）新增對分卷備份數據的自動導入功能
新增帖子中第幾篇（#1, #2...）的顯示
新增用戶被刪除或禁止時，可設定是否自動屏蔽其所發表帖子內容
新增評分記錄功能，可在帖子中顯示參與評分的用戶和評價分數
評分功能允許顯示更多的間隔檔，被評分的主題依據其帖子的評價分數在主題列表中顯示標誌
報告帖子功能用戶可多項選擇發送報告的對象
完善了 ESMTP 郵件發送程序，發送失敗時可自動將提示信息記錄在錯誤日誌中
分卷備份在建表時記錄 AUTO_INCREMENT 值，以避免在個別系統上可能的問題
新增數據恢復程序的智能容錯功能，可最大限度的導入存在錯誤的備份數據
直接使用純真網絡（cz88.net）的 IP 地址庫，地域分析速度比以前快 10 倍
短消息功能中用戶可設置拒絕所有發來的短消息
用戶信息頁面中，如果是版主可自動列出所任職的版塊名稱
增加了鼠標滾輪自動圖片縮放功能
新增移動主題短消息通知的目標論壇的說明
新增圖片附件水印功能
新增註冊就有多少積分的設定
新增是否允許重複評分的設定，評分可自行輸入分值或選擇
新增帖子發表多長時間後不允許被評分的選項
好友列表加入描述功能
新增論壇今日發帖數功能
修正發帖時下拉菜單選擇相同字號字體顏色不方便的問題
修正批量刪除短消息用戶名過濾不正確的問題
修正用戶欄目定制中多個可選項混淆的問題
修正論壇公告內容中頭部內容使用 html 造成的顯示問題
修正附件尺寸過大造成系統設置首頁讀入緩慢的問題
修正搜索時相關特殊字符的轉義問題
改進了附件擴展名處理與過濾方式
因多附件原因，主題列表不再標明附件的類型
徹底解決後台重複輸入密碼問題
短消息忽略列表對報告消息也起作用
附件下載權限對圖片附件也起作用
多處增強系統容錯及穩定性的修正不一一列出
多處增強功能人性化及操作簡便性的修正
與最大電子支付提供商浙江支付寶網絡科技有限公司達成戰略合作夥伴關係，將支付寶服務全面整合到Discuz! 論壇系統中來
與知名電子商務軟件提供商 ShopEx 達成戰略合作關係，獨家捆綁軟件接口，可實現統一認證及其他相關功能
與知名建站軟件提供商 SiteEngine 達成戰略合作關係，獨家捆綁軟件接口，可實現統一認證及其他相關功能
提供易於應用的 通行證 API 接口，外部程序可方便的實現統一登錄、積分消費與同步等功能

+--------------------------------------+
Discuz! 3.1.2
+--------------------------------------+
新增帶緩存的高效率首頁新帖調用功能
後台改為 10 分鐘後台不動作重新驗證密碼
修正頭像可能的惡意代碼問題
修正了已知的所有小問題

+--------------------------------------+
Discuz! 3.1.0
+--------------------------------------+
Discuz! 3.10 在論壇易用性，人性化方面做了重大改進，同時安全級別也明顯提升
除了避免本身可能被利用的問題以外，Discuz! 對部分人為因素造成的隱患也從技術上加以避免，可有效保證論壇安全穩定運行
優化子論壇帖數統計與更新算法
優化禁止 IP 緩存和判斷算法
優化用戶權限算法，自動識別權限和判斷是否連接表讀取
增加安全提問功能，管理人員強制使用提問登錄
增加密碼或安全提問連續錯誤自動禁止 IP 的功能
增加發帖數級別功能，可選擇在帖子中對普通會員根據發帖數，或積分（用戶組）確定級別頭銜
增加點擊數批量更新功能，可有效節約服務器資源，加快訪問速度
智能判斷解析Discuz! 代碼和 Smilies，主題瀏覽資源消耗降低30%左右
增加服務器端 MySQL Dump 備份（需要 Shell 權限），備份和恢複數據速度比原來提升十幾倍
增加主題變色和著重高亮顯示功能
增加可按不同類型附件設置最大上傳尺寸的功能
增加新註冊會員在多少小時內不能發帖的選項
增加附件來路檢查（防盜鏈）開關，可禁止從其他網站下載論壇附件
增加按 IP 地址批量刪帖的功能
增加用戶上次訪問 IP 地址記錄與查詢功能
增加同一IP多長時間內不能重複註冊賬號的設定
增加以發帖數搜索並管理用戶功能
增加論壇記錄分頁條目選項和全文搜索功能，改為按日保存
增加禁止用戶名的通配符「*」支持
增加用戶組頭銜按不同顏色顯示
用戶欄目定制時可選擇隱藏功能，隱藏後只有管理員可見用戶在自定義欄目中填寫的信息
用戶驗證 Email 不再直接發送密碼，改為將用戶變為「等待驗證會員」後提供激活鏈接
可分別設置首頁或分論壇是否顯示在線列表
重寫取回密碼功能
報告帖子時可直接導向置頂帖子
修正特殊權限時子論壇貼數統計可能不正確的問題
修正註冊時簽名字數無法限制的問題
修正發佈新公告的管理員賬號被刪除時的緩存更新問題
修正後台編輯論壇處的幾個未翻譯的英文提示
修正當好友被刪除時無法將其從好友列表中刪除的問題
修正子論壇用戶權限顯示不正確的問題
修正版主可以合併其他版塊帖子的問題（超級版主和管理員不限制）
修正某種情況下搜索高亮顯示會破壞html代碼的問題
修正用戶被刪除在帖子中沒有提示的問題
修正查看本帖新話題功能不正確的問題
修正後台註冊新用戶上次訪問未記錄的問題
修正修改普通用戶用戶積分後不能自動改變用戶組的問題
修正遊客可以互相編輯帖子的問題
修正用戶拒收消息群發（newsletter）時仍能收到的問題

+--------------------------------------+
Discuz! 3.0.0
+--------------------------------------+
整體效率和負載能力比Discuz! 2.0.0 高 30%，在分論壇較多的應用下可提高 50% 以上。PIII 1G 級 Linux 主機上百萬貼論壇前台執行時間不超過 0.05
重新設計的堅固的數據結構和最少化數據庫查詢，使得Discuz! 3 可以在惡劣的服務器環境下快速穩定運行
全論壇編譯模板和語言包，更換前/後台提示語言不需要修改程序和模板
用戶對應關係和執行效率優化

全新設計的搜索功能，使得新的搜索比以往快數倍，更有可共享的搜索緩存，有效減少數據庫負載
更方便的權限控制，既可以在分論壇中使用用戶組對權限進行設定，又可以單獨控制每個用戶在該論壇的權限
自定義Discuz! 代碼功能，可對代碼進行擴充並支持最多三個動態代碼參數
自定義會員信息項目功能：支持選單及在帖子中顯示該自定義項目（如添加：你最願意玩的是什麼遊戲？）
支持用戶上傳頭像，可控制頭像文件大小、像素大小並可設置用戶組上傳權限
支持隱身登錄功能，並可設置具有隱身權限的用戶組
可設置發貼最小字數，有效預防灌水，另外對快捷鍵 JS 做了優化
新聞郵件（News Letters）可發送給不同用戶組
論壇公告可設定顯示順序並帖子列表中顯示（原有置頂 III 功能取消）
保留了Discuz! 1.0/2.0 的積分判定用戶組的功能，並進一步加強
交叉用戶組，普通用戶組和管理用戶組可以交叉並得到交叉權限
徹底重寫的特殊用戶組功能，不再靠輸入用戶名判斷，而作為用戶屬性寫入用戶記錄中
可以分別設置發貼、回復和帖子被刪除的積分。每個分論壇也可以設定在該論壇的發貼、回復積分
禁言、禁止 IP 等操作會立即生效，不會再有延遲
版主和超級版主的權限可以具體設定，並具有自己的管理面板，可進行允許範圍內的管理操作
與版主/超級版主共享的管理功能都會記錄操作者用戶名，版主無權更改管理員的設置項目
新增前台重新統計回複數功能
可以根據 UNIX 負載情況限制用戶訪問
全新的發貼、搜索 flood 控制，確保萬無一失
自建管理面板會話跟蹤（Admin Sessions），不再需要配置 PHP Session，10 分鐘密碼過期驗證
可過濾簽名、頭銜等處的不良詞語
[img] 代碼可以識別惡意設置長寬，避免顯示過大空白頁面問題
頭像禁用 flash，各種頭像均可自動設別或手工限制長寬，避免影響頁面顯示
可以設置 IP 禁止的有效期

+--------------------------------------+
Discuz! 2.0.0
+--------------------------------------+
採用全新的第二代Discuz! 內核，程序結構經過科學的重新組建，執行效率比 1.0.1 高一倍以上
獨有先進的編譯模板內核，全部模板採用文件存儲，前台界面完全使用語言包構件語言元素
新增風格界面快速導入和全局模板搜索功能
全面支持多模板，多語言和分論壇間設定不同的模板，風格和語言
新增用文本文件擴充論壇幫助的功能
自建快速會話跟蹤系統，除了具有 1.0.1 session 全部功能外，結構更合理，速度更快
新增論壇全局置頂功能（置頂III）
後台管理界面新增了密碼限制，即使登錄狀態也需要輸入管理密碼才可進入，杜絕安全問題
新增搜索控制和時間選項，並可對不同用戶組設置不同的搜索級別
新增支持多選，編輯和選民列表功能的投票
自建 SMTP 模塊，支持 ESMTP 驗證，並提供三種可選方式發送郵件
重寫了更為方便友好的短消息和好友列表功能
新增附件按日期，月份，類型或論壇分目錄保存功能，避免單一目錄文件過多的問題
新增用戶到訪加分的選項
新增評分記錄和控制，徹底避免利用評分作弊的問題，可記錄並顯示帖子的評分結果，並自動加入高級用戶（按最高評價分數計）的權重
新增帖子列表頁面快捷管理選項的開關
批量刪貼可選擇是否扣除用戶積分
去除對帖子長度 64K 的限制
修正 1.0.1 發送郵件的一系列問題
修正 Gzip 壓縮在個別瀏覽器不兼容的問題
修正在線列表無法分頁的問題
修正報告主題的錯誤

+--------------------------------------+
Discuz! 1.0.1
+--------------------------------------+
新增用戶評分記錄功能
各主要頁面均給出明顯的完全 html 構建的新短消息提示，不再使用 JS 彈出窗口
用戶組提供全面的積分覆蓋/用戶/權限的檢查和提示，減少誤操作的機會
導入不同版本數據給出警告提示
加強了新註冊用戶名的檢查
更新了短消息和好友列表的刪除算法
非法登錄記錄中，用戶的錯誤密碼被部分屏蔽
只寫主題不寫內容的新帖被禁止發表
修正登錄頁面風格選單為空白的問題
修正無法分割主題的問題
修正遊客允許發帖後仍提示密碼不正確的問題
修正[email]，[mid]代碼的問題
修正引用超過一定長度的[hide]代碼內容會顯示出原文的問題
修正關閉論壇，以普通用戶身份登錄無法退出的問題
修正批量刪貼論壇的最後發帖人和時間不正確的問題
修正管理員編輯用戶，造成用戶時間顯示格式不正確的問題
修正不良詞語無法完全過濾的問題
修正主題包含引號無法調用新帖的問題
修正 BIG5 版本特殊用戶名造成的無法發送，好友列表無法刪除的問題
修正極個別 Apache 中 PHP 以 CGI 方式運行時論壇地址識別不正確的問題
修正安裝程序中新進會員鏈接地址不正確的問題

+--------------------------------------+
Discuz! 1.0.0
+--------------------------------------+
Discuz! 的第一個版本，希望Discuz! 能夠能夠為您帶來全新的使用體驗
